use self::{big_int::JsBigInt, bool::JsBool, number::JsNumber, object::JsObject, string::JsString, symbol::JsSymbol};

// All Js primitive objects are wrappers around a single value
pub mod bool;
pub mod string;
pub mod symbol;
pub mod number;
pub mod big_int;
pub mod object;
pub mod array;

#[derive(Debug, Default)]
pub enum VariableContent {
    #[default]
    Undefined,
    Null,
    Value(ValueType),
}

#[derive(Debug)]
pub enum ValueType {
    Bool(JsBool),
    String(JsString),
    Symbol(JsSymbol),
    Number(JsNumber),
    BigInt(JsBigInt),
    Object(JsObject),
}